import { Module } from '@nestjs/common';
import { CqrsModule } from '@nestjs/cqrs';
import { DatabaseModule } from '../database/database.module';
import { UsersController } from './adapters/primaries/users.controller';
import { UsersRepository } from './adapters/secondaries/users.repository';
import { FindUserByUuidUseCase } from './domain/usecases/find-user-by-uuid.usecase';

@Module({
  imports: [DatabaseModule, CqrsModule],
  controllers: [UsersController],
  providers: [UsersRepository, FindUserByUuidUseCase],
  exports: [],
})
export class UsersModule {}
